<?php
/* Metodos de acceso a los campos de la tabla MST_ValidezOf redefinidos por el usuario */
class MST_ValidezOfBN extends BaseMST_ValidezOfBN
{
    const ESTADO_ACTIVO   = "A";
    const ESTADO_INACTIVO = "I";
    
    public static function getArrayEstados( $sEstado = null )
    {
        $a_sEstado = array
        (
            MST_ValidezOfBN::ESTADO_ACTIVO   => "ACTIVO",
            MST_ValidezOfBN::ESTADO_INACTIVO => "INACTIVO"
        );
        if( !is_null( $sEstado ) )
        {
            return $a_sEstado[$sEstado];
        }
        return $a_sEstado;
    }
    
    public function getEstadoDesc()
    {
        return MST_ValidezOfBN::getArrayEstados( $this->getEstado() );
    }
}
?>